POPBill Developers
API Reference

4. Additional Functions

4.1. SendEmail - Resend a notification mail

POST https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
POST https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
  • This API resends a notification mail that contains the information with the latest status of an invoice.
Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-HTTP-Method-Override Y Request method override
EMAIL
X-PB-UserID N User’s POPBiLL ID
Path Parameters
No. Field Type Length Mandatory Description
ItemCode number - Y Types of invoices
  • 121transaction details
  • 122bill
  • 123estimate
  • 124purchase order
  • 125deposit slip
  • 126receipt
MgtKey string 24 Y Document ID
Request Body
No. Field Type Length Mandatory Description
receiver string - Y Recipient email address
Request Example
curl --request POST \
  --url 'https://{domain}/Statement/{ItemCode}/{MgtKey}' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --header 'X-HTTP-Method-Override: EMAIL' \
  --data '{
    "receiver": "test@test.com"
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
message string - API response message
Response Example
{
    "code": 1,
    "message": "이메일 재전송 완료"
}